Class DbxTeamFilePropertiesRequests
java.lang.Object
com.dropbox.core.v2.fileproperties.DbxTeamFilePropertiesRequests
Routes in namespace "file_properties".
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptiontemplatesAddForTeam(String name, String description, List<PropertyFieldTemplate> fields) Add a template associated with a team.templatesGetForTeam(String templateId) Get the schema for a specified template.Get the template identifiers for a team.voidtemplatesRemoveForTeam(String templateId) Permanently removes the specified template created fromDbxUserFilePropertiesRequests.templatesAddForUser(String,String,List).templatesUpdateForTeam(String templateId) Update a template associated with a team.templatesUpdateForTeamBuilder(String templateId) Update a template associated with a team.
-
Constructor Details
-
DbxTeamFilePropertiesRequests
-
-
Method Details
-
templatesAddForTeam
public AddTemplateResult templatesAddForTeam(String name, String description, List<PropertyFieldTemplate> fields) throws ModifyTemplateErrorException, DbxException Add a template associated with a team. SeeDbxUserFilePropertiesRequests.propertiesAdd(String,List)to add properties to a file or folder. Note: this endpoint will create team-owned templates.- Parameters:
name- Display name for the template. Template names can be up to 256 bytes. Must not benull.description- Description for the template. Template descriptions can be up to 1024 bytes. Must not benull.fields- Definitions of the property fields associated with this template. There can be up to 32 properties in a single template. Must not contain anullitem and not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.ModifyTemplateErrorExceptionDbxException
-
templatesGetForTeam
public GetTemplateResult templatesGetForTeam(String templateId) throws TemplateErrorException, DbxException Get the schema for a specified template.- Parameters:
templateId- An identifier for template added by route SeeDbxUserFilePropertiesRequests.templatesAddForUser(String,String,List)ortemplatesAddForTeam(String,String,List). Must have length of at least 1, match pattern "(/|ptid:).*", and not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.TemplateErrorExceptionDbxException
-
templatesListForTeam
Get the template identifiers for a team. To get the schema of each template usetemplatesGetForTeam(String).- Throws:
TemplateErrorExceptionDbxException
-
templatesRemoveForTeam
Permanently removes the specified template created fromDbxUserFilePropertiesRequests.templatesAddForUser(String,String,List). All properties associated with the template will also be removed. This action cannot be undone.- Parameters:
templateId- An identifier for a template created byDbxUserFilePropertiesRequests.templatesAddForUser(String,String,List)ortemplatesAddForTeam(String,String,List). Must have length of at least 1, match pattern "(/|ptid:).*", and not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.TemplateErrorExceptionDbxException
-
templatesUpdateForTeam
public UpdateTemplateResult templatesUpdateForTeam(String templateId) throws ModifyTemplateErrorException, DbxException Update a template associated with a team. This route can update the template name, the template description and add optional properties to templates.- Parameters:
templateId- An identifier for template added by SeeDbxUserFilePropertiesRequests.templatesAddForUser(String,String,List)ortemplatesAddForTeam(String,String,List). Must have length of at least 1, match pattern "(/|ptid:).*", and not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.ModifyTemplateErrorExceptionDbxException
-
templatesUpdateForTeamBuilder
Update a template associated with a team. This route can update the template name, the template description and add optional properties to templates.- Parameters:
templateId- An identifier for template added by SeeDbxUserFilePropertiesRequests.templatesAddForUser(String,String,List)ortemplatesAddForTeam(String,String,List). Must have length of at least 1, match pattern "(/|ptid:).*", and not benull.- Returns:
- Request builder for configuring request parameters and completing the request.
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-